package com.cheng.blzb.utils

import android.graphics.Color

object BidTypeUtils {
    fun getShortName(typeName: String): String {
        return when (typeName) {
            "招标公告" -> "招标"
            "招标计划" -> "预告"
            "采购公告" -> "采购"
            "合同公告" -> "合同"
            "中标公告" -> "中标"
            "竞争性磋商" -> "竞争性磋商"
            "更正公告" -> "更正"
            "终止公告" -> "终止"
            else -> "其他"
        }
    }

    fun getTypeColor(typeName: String): Int {
        return when (typeName) {
            "招标公告" -> Color.parseColor("#2B88F9")
            "招标计划" -> Color.parseColor("#14CEB3")
            "采购公告" -> Color.parseColor("#FF7344")
            "合同公告" -> Color.parseColor("#FFA91D")
            "中标公告" -> Color.parseColor("#FF1B1B")
            "竞争性磋商" -> Color.parseColor("#0DA9FF")
            "更正公告" -> Color.parseColor("#7066FF")
            "终止公告" -> Color.parseColor("#8C9199")
            else -> Color.parseColor("#EEEEEE")
        }
    }
}